/*      Copyright (c) 1994 Mix Software, Inc.

        B_assert_msg - CBT debugging
*/
#include "btree.h"
#include "blockio.h"
#include <stdlib.h>
#include <stdio.h>

/*      B_assert_msg  INTERNAL debugging
                      print an error message when an assertion fails

        Returns no value, but prints to stdout.
*/
void B_assert_msg(char *file, int line)
{
   char bufr[20];
   _cb_prints("*** ASSERTION FAILED in file: ");
   _cb_prints(file);
   _cb_prints(" at line: ");
   itoa(line, bufr, 10);
   _cb_prints(bufr);
   _cb_prints(" ***\n");
   return;
   } /* B_assert_msg */

/* end assert.c */
